import { Mattress } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

/**
 * @name 床垫报价保存
 */
export const SaveMattress = (params: Mattress.ReqSaveMattress) => {
  return http.post<Mattress.ResSaveMattress>(PORT1 + `/SaveMattress`, params);
};

/**
 * @name 床垫报价：业务下单/取消/审核
 */
export const SaveMattressAuditing = (params: Mattress.ReqMultiMattress) => {
  return http.post(PORT1 + `/SaveMattressAuditing`, params);
};

/**
 * @name 床垫报价：删除
 */
export const DelMattress = (params: Mattress.ReqMultiMattress) => {
  return http.post(PORT1 + `/DelMattress`, params);
};

/**
 * @name 半成品报价保存
 */
export const SaveMattressBcp = (params: Mattress.ReqSaveMattress) => {
  return http.post<Mattress.ResSaveMattressBcp>(PORT1 + `/SaveMattressBcp`, params);
};

/**
 * @name 半成品报价：审核
 */
export const AuditMattressBcp = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/AuditMattressBcp`, params);
};

/**
 * @name 半成品报价：删除
 */
export const DeleteMattressBcp = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/DeleteMattressBcp`, params);
};

/**
 * @name 床网报价：保存
 */
export const SaveBedNet = (params: Mattress.ReqSaveBedNet) => {
  return http.post<Mattress.ResSaveBedNet>(PORT1 + `/SaveBedNet`, params);
};

/**
 * @name 床网报价：审核
 */
export const AuditBedNet = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/AuditBedNet`, params);
};

/**
 * @name 床网报价：删除
 */
export const DeleteBedNet = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/DeleteBedNet`, params);
};
